Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.distribution
Interface GammaDistribution

All Superinterfaces:
  ContinuousDistribution, Distribution, HasDensity<Double>

All Known Implementing Classes:
  GammaDistributionImpl

    public interface GammaDistribution

extends ContinuousDistribution, HasDensity<Double>

The Gamma Distribution.

References:

- Gamma Distribution

Version:
  $Revision: 920852 $ $Date: 2010-03-09 13:53:44 +0100 (mar. 09 mars 2010) $

Method Summary
`double` | `density(Double x)` Return the probability density for a particular point.
`double` | `getAlpha()` Access the shape parameter, alpha
`double` | `getBeta()` Access the scale parameter, beta
`void` | `setAlpha(double alpha)` Deprecated. as of v2.1
`void` | `setBeta(double beta)` Deprecated. as of v2.1

Methods inherited from interface org.apache.commons.math.distribution.ContinuousDistribution
`inverseCumulativeProbability`

Methods inherited from interface org.apache.commons.math.distribution.Distribution
`cumulativeProbability, cumulativeProbability`

Method Detail

### setAlpha

    @Deprecated
    void setAlpha(double alpha)

  Deprecated. as of v2.1

  Modify the shape parameter, alpha.

  Parameters:
    `alpha` - the new shape parameter.

### getAlpha

    double getAlpha()

  Access the shape parameter, alpha

  Returns:
    alpha.

### setBeta

    @Deprecated
    void setBeta(double beta)

  Deprecated. as of v2.1

  Modify the scale parameter, beta.

  Parameters:
    `beta` - the new scale parameter.

### getBeta

    double getBeta()

  Access the scale parameter, beta

  Returns:
    beta.

### density

    double density(Double x)

  Return the probability density for a particular point.

  Specified by:
    `density` in interface `HasDensity<Double>`
  Parameters:
    `x` - The point at which the density should be computed.
  Returns:
    The pdf at point x.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2011 The Apache Software Foundation. All Rights Reserved.